package projectzombie.menu;

import projectzombie.Main;
import projectzombie.input.types.InputGUI;
import projectzombie.menu.gui.GUI;
import projectzombie.menu.gui.GUIButtonBasic;
import projectzombie.menu.gui.GUIButtonGroup;
import projectzombie.menu.gui.GUIButtonGroupPause;

public class MenuDeath extends Menu
{
	private GUI gui;
	
	public MenuDeath() {
		this.doGameloop = false;
		this.doGameRender = true;
		this.keepMouse = false;
		
		this.gui = new GUI();
		this.input = new InputGUI(this.gui);
		
		GUIButtonGroup group = new GUIButtonGroupPause();
		
		group.add(new GUIButtonBasic("Quit", button -> {
			Main.menu = new MenuMain();
		}));
		
		gui.setSelected(group.get(0));
		gui.add(group);
	}

	@Override
	public void render() {
		gui.render();
	}

}
